aboutsummaryrefslogtreecommitdiff
path: root/browser/linux/binary_tarball/scripts/1_Install_Dependencies.sh
diff options
context:
space:
mode:
Diffstat (limited to 'browser/linux/binary_tarball/scripts/1_Install_Dependencies.sh')
-rwxr-xr-xbrowser/linux/binary_tarball/scripts/1_Install_Dependencies.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/browser/linux/binary_tarball/scripts/1_Install_Dependencies.sh b/browser/linux/binary_tarball/scripts/1_Install_Dependencies.sh
new file mode 100755
index 0000000..9519b22
--- /dev/null
+++ b/browser/linux/binary_tarball/scripts/1_Install_Dependencies.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+printf "\n\n-------------------------------------- DEPENDENCY INSTALLATION ---------------------------------------------\n";
+printf "\nInstalling dependencies\n";
+apt update && apt install -y python python3 wget;
+wget https://hg.mozilla.org/mozilla-central/raw-file/default/python/mozboot/bin/bootstrap.py;
+python ./bootstrap.py --application-choice=browser --no-interactive || true
+rm -f ./bootstrap.py;
+
+# adds the new rust install to PATH
+# printf "\nAdding new rust install to PATH\n";
+#. $HOME/.cargo/env;
bgstack15